#2702 closed defect (fixed)

Remove descriptor objects for POSIX message queues

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: posix Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The mq_open() function returns a descriptor to a POSIX message queue object identified by a name. This is similar to sem_open(). In contrast to the POSIX semaphore the POSIX message queues use a separate object for the descriptor. This extra object is superfluous, since the object identifier can be used directly for this purpose, just like for the semaphores.

Change History (6)

comment:1 Changed on May 2, 2016 at 10:07:53 AM by Sebastian Huber <sebastian.huber@…>

In c8982e5f6a4857444676165deab1e08dc91a6847/rtems:

posix: Simplify message queues

The mq_open() function returns a descriptor to a POSIX message queue
object identified by a name. This is similar to sem_open(). In
contrast to the POSIX semaphore the POSIX message queues use a separate
object for the descriptor. This extra object is superfluous, since the
object identifier can be used directly for this purpose, just like for
the semaphores.

Update #2702.
Update #2555.

comment:2 Changed on Dec 19, 2016 at 1:52:36 PM by Sebastian Huber

Resolution: fixed
Status: newclosed

comment:3 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:4 Changed on Oct 16, 2017 at 6:17:09 AM by Sebastian Huber

Component: scoreposix

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:6 Changed on Dec 15, 2017 at 6:24:12 AM by Sebastian Huber <sebastian.huber@…>

In e1563f37/rtems:

posix: Remove unused global variable

Update #2702.
Update #2555.

Note: See TracTickets for help on using tickets.